var e = /* @__PURE__ */ ((i) => (i.isSubscriptionsVisible = "isSubscriptionsVisible", i.isRedeemCodeVisible = "isRedeemCodeVisible", i.isNotificationsVisible = "isNotificationsVisible", i.isVirtualCurrencyVisible = "isVirtualCurrencyVisible", i.isStoreVisible = "isStoreVisible", i.isGetLauncherVisible = "isGetLauncherVisible", i.isAccountOverviewVisible = "isAccountOverviewVisible", i.isMyProfileVisible = "isMyProfileVisible", i.isChangePasswordVisible = "isChangePasswordVisible", i.isPurchasedItemsVisible = "isPurchasedItemsVisible", i.isOrderHistoryVisible = "isOrderHistoryVisible", i.isPaymentMethodsVisible = "isPaymentMethodsVisible", i.isLegalAgreementsVisible = "isLegalAgreementsVisible", i.isPersonalDataVisible = "isPersonalDataVisible", i.isDeleteAccountVisible = "isDeleteAccountVisible", i.isLinkedAccountsVisible = "isLinkedAccountsVisible", i.isPaymentV2Enabled = "isPaymentV2Enabled", i.isTwitchDropEnabled = "isTwitchDropEnabled", i.isLegalEnabled = "isLegalEnabled", i.isLegalPageVisible = "isLegalPageVisible", i.isLauncherSupportVisible = "isLauncherSupportVisible", i.isPlayerPortalSupportVisible = "isPlayerPortalSupportVisible", i.isAvatarVisible = "isAvatarVisible", i))(e || {}), l = /* @__PURE__ */ ((i) => (i.isPaymentV2Enabled = "isPaymentV2Enabled", i.isUnlinkAccountEnabled = "isUnlinkAccountEnabled", i.isLocalizationExperimentalEnabled = "isLocalizationExperimentalEnabled", i))(l || {});
class n {
  constructor(s) {
    this.flags = s, this.flags = s;
  }
  setFlags(s) {
    this.flags = s;
  }
  hasFeature(s) {
    return this.flags && this.flags[s];
  }
  toString() {
    try {
      return JSON.stringify(this.flags);
    } catch {
      return "";
    }
  }
}
export {
  l as ExperimentalFeatureFlags,
  e as FeatureFlags,
  n as FeatureFlagsImpl
};
